Full name: projects.locations.agents.patch
Updates an agent.
Endpoint
patchhttps://{service-endpoint}/v1beta1/{agent.name}
PATCH https://{service-endpoint}/v1beta1/{agent.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
agent.namestring
Identifier. The resource name of the agent. Format: projects/{project}/locations/{location}/agents/{agent}.
Query parameters
Optional. The list of fields to update. If not present, all fields are updated.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of Agent.
Response body
If successful, the response body contains an instance of Operation.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.agents.update
For more information, see the IAM documentation.